Package org.mariadb.jdbc.message.client

## Class QueryWithParametersPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.QueryWithParametersPacket

All Implemented Interfaces:
  `ClientMessage`, `RedoableClientMessage`

    public final class QueryWithParametersPacket
    extends Object
    implements RedoableClientMessage

### Constructor Summary

Constructors
`QueryWithParametersPacket​(String preSqlCmd, org.mariadb.jdbc.util.ClientParser parser, org.mariadb.jdbc.util.ParameterList parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `batchUpdateLength()`
`String` `description()`
`int` `encode​(PacketWriter encoder, Context context)`
`void` `ensureReplayable​(Context context)`
`void` `saveParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`binaryProtocol, canSkipMeta, readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableClientMessage

`encode, reEncode`

### Constructor Detail

#### QueryWithParametersPacket

    public QueryWithParametersPacket​(String preSqlCmd,
                                     org.mariadb.jdbc.util.ClientParser parser,
                                     org.mariadb.jdbc.util.ParameterList parameters)

### Method Detail

#### ensureReplayable

    public void ensureReplayable​(Context context)
                          throws IOException,
                                 SQLException

Specified by:
  `ensureReplayable` in interface `RedoableClientMessage`
Throws:
  `IOException`
  `SQLException`

#### saveParameters

    public void saveParameters()

Specified by:
  `saveParameters` in interface `RedoableClientMessage`

#### encode

    public int encode​(PacketWriter encoder,
                      Context context)
               throws IOException,
                      SQLException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`
  `SQLException`

#### batchUpdateLength

    public int batchUpdateLength()

Specified by:
  `batchUpdateLength` in interface `ClientMessage`

#### description

    public String description()

Specified by:
  `description` in interface `ClientMessage`